Bug 519489 - Use new topology info in mkfs.xfs
Summary: Use new topology info in mkfs.xfs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xfsprogs
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks: 519834
TreeView+ depends on / blocked
 
Reported: 2009-08-26 19:44 UTC by Valerie Aurora Henson
Modified: 2010-11-11 15:02 UTC (History)
6 users (show)

Fixed In Version: xfsprogs- 3.0.3-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 15:02:05 UTC


Attachments (Terms of Use)

Description Valerie Aurora Henson 2009-08-26 19:44:30 UTC
mkfs.xfs should align the file system according to the exported device topology info.

Good summary page:

http://osdir.com/ml/linux-raid/2009-06/msg00309.html

Comment 2 RHEL Product and Program Management 2009-08-26 20:16:40 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Eric Sandeen 2009-08-27 06:42:49 UTC
The plan is to export this info via libblkid as a standard interface, so this bug probably needs to depend on that feature (in util-linux-ng).

-Eric

Comment 4 Eric Sandeen 2009-10-08 16:27:52 UTC
hch has sent patches to the xfs list for this.

Comment 5 chellwig@redhat.com 2009-10-10 21:56:29 UTC
The patch is now upstream.

Eric, do you want to backport it for more test coverage?  I hope we can spin a new xfsprogs release end of November / early December with the topology support and the repair memory usage improvements.

Comment 6 Eric Sandeen 2009-10-10 22:46:09 UTC
Thanks Christoph; I think we've likely missed the boat for F12 (we'd need updated blkid too, probably too much to sneak in now, though I can ask) and for RHEL5 the kernel bits are totally missing, so we'll probably just have to get it pushed into RHEL6 as soon as possible - after util-linux-ng gets an update ....

(we should ping sgi to pull to their tree too I suppose)

Comment 7 Eric Sandeen 2009-11-10 23:51:42 UTC
1799792 build (dist-f13, /cvs/pkgs:rpms/xfsprogs/devel:xfsprogs-3_0_3-2_fc13) completed successfully

Built in rawhide, now.

Comment 8 Eric Sandeen 2009-12-01 22:50:42 UTC
$ rpm -qp --changelog xfsprogs-3.0.3-3.el6.x86_64.rpm | more
* Fri Nov 20 2009 Eric Sandeen <sandeen@redhat.com> 3.0.3-3
- Fix up build issues w.r.t. off64_t

* Tue Nov 10 2009 Eric Sandeen <sandeen@redhat.com> 3.0.3-2
- Add trim/discard & libblkid support

the libblkid patch makes use of the topology info (which libdisk did before, anyway).

Comment 9 Eric Sandeen 2009-12-09 05:11:31 UTC
Actually I only got this right in xfsprogs-3.0.3-5 :)

What's in RHEL6 -today- is still missing these bits, but it should get pulled to RHEL6.

--Eric

Comment 10 Eric Sandeen 2009-12-09 16:05:43 UTC
Ok, RHEL6 bits should be good now.

Comment 13 releng-rhel@redhat.com 2010-11-11 15:02:05 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.